org.apache.felix.ipojo.api

## Class Property

- java.lang.Object
- - org.apache.felix.ipojo.api.Property

    public class Property
    extends java.lang.Object

Allows configuring a configuration property.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Property()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getElement()` Gets the property element.
`PropertyDescription` `getPropertyDescription(ComponentInstance instance)` Gets the property description for the current property.
`Property` `setConstructorParameter(int index)` Sets the constructor parameter index of the property.
`Property` `setField(java.lang.String name)` Sets the property field.
`Property` `setImmutable(boolean immutable)` Sets if the property is immutable.
`Property` `setMandatory(boolean mandatory)` Sets if the property is mandatory.
`Property` `setMethod(java.lang.String name)` Sets the property method.
`Property` `setName(java.lang.String name)` Sets the property name.
`Property` `setValue(java.lang.String name)` Sets the property value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Property

    public Property()

### Method Detail

#### setName

    public Property setName(java.lang.String name)

Sets the property name.

Parameters:
  `name` - the property name
Returns:
  the current property object

#### setField

    public Property setField(java.lang.String name)

Sets the property field.

Parameters:
  `name` - the property field
Returns:
  the current property object

#### setConstructorParameter

    public Property setConstructorParameter(int index)

Sets the constructor parameter index of the property.

Parameters:
  `index` - the parameter index
Returns:
  the current property object

#### setMethod

    public Property setMethod(java.lang.String name)

Sets the property method.

Parameters:
  `name` - the property method
Returns:
  the current property object

#### setValue

    public Property setValue(java.lang.String name)

Sets the property value.

Parameters:
  `name` - the property value
Returns:
  the current property object

#### setMandatory

    public Property setMandatory(boolean mandatory)

Sets if the property is mandatory.

Parameters:
  `mandatory` - `true` if the dependency is mandatory.
Returns:
  the current property object

#### setImmutable

    public Property setImmutable(boolean immutable)

Sets if the property is immutable.

Parameters:
  `immutable` - `true` if the dependency is immutable.
Returns:
  the current property object

#### getElement

    public org.apache.felix.ipojo.metadata.Element getElement()

Gets the property element.

Returns:
  the property element.

#### getPropertyDescription

    public PropertyDescription getPropertyDescription(ComponentInstance instance)

Gets the property description for the current property.

Parameters:
  `instance` - the component instance on which looking for the property.
Returns:
  the property description associated with the current property or `null` if not found.